import 'package:flutter/material.dart';

class ElapsedBadge extends StatelessWidget {
  final String text;
  final Color color;

  const ElapsedBadge({
    required this.text,
    required this.color,
  });

  @override
  Widget build(BuildContext context) {
    final colorScheme = Theme.of(context).colorScheme;

    return Container(
      padding: const EdgeInsets.symmetric(
        horizontal: 4,
        vertical: 1.5,
      ),
      decoration: BoxDecoration(
        color: colorScheme.surface,
        borderRadius: BorderRadius.circular(999),
        border: Border.all(
          color: color.withOpacity(0.85),
          width: 0,
        ),
        // boxShadow: [
        //   BoxShadow(
        //     color: Colors.black.withOpacity(0.10),
        //     blurRadius: 3,
        //     offset: const Offset(0, 1),
        //   ),
        // ],
      ),
      child: Text(
        text,
        style: Theme.of(context).textTheme.labelSmall?.copyWith(
          color: color,
          fontSize: 9,
          fontWeight: FontWeight.w900,
          height: 1.0,
          fontFeatures: const [
            FontFeature.tabularFigures(),
          ],
        ),
      ),
    );
  }
}
